Classes | Namespaces | Macros | Enumerations
EBOOKHTMLParser.cpp File Reference
`#include <cassert>`
`#include <stack>`
`#include <string>`
`#include <boost/algorithm/string/case_conv.hpp>`
`#include <boost/bind.hpp>`
`#include <boost/function.hpp>`
`#include <boost/lexical_cast.hpp>`
`#include <boost/shared_ptr.hpp>`
`#include "libebook_hubbub.h"`
`#include "libebook_utils.h"`
`#include "libebook_xml.h"`
`#include "EBOOKCharsetConverter.h"`
`#include "EBOOKHTMLToken.h"`
`#include "EBOOKHTMLTypes.h"`
`#include "EBOOKHTMLParser.h"`
`#include "EBOOKOutputElements.h"`
`#include "EBOOKUTF8Stream.h"`
`#include "XMLCollector.h"`
`#include "XMLStylesheet.h"`

## Classes
struct | libebook::EBOOKHTMLParser::State

## Namespaces
| libebook

## Macros
#define | STR_LIT(s) (s), (sizeof(s) - 1)

## Enumerations
enum | libebook::@9::ParseContext

## Macro Definition Documentation

## § STR_LIT

#define STR_LIT | ( |  | s | ) | (s), (sizeof(s) - 1)

## Enumeration Type Documentation

## § ParseContext

enum libebook::@9::ParseContext

## Variable Documentation

## § config

XMLTreeNode::ConfigurationPtr_t config

## § document

XMLTreeNodePtr_t document

## § encoding

const char* encoding

Referenced by libebook::PLKRParser::readAppInfoRecord(), and libebook::EBOOKHTMLParser::readTree().

## § handler

hubbub_tree_handler handler

## § htmlConfig

XMLTreeNode::ConfigurationPtr_t htmlConfig

## § isPre

bool isPre

## § len

size_t len

Referenced by libebook::EBOOKOPFParser::parse(), libebook::EBOOKHTMLParser::readTreeImpl(), libebook::EBOOKHTMLParser::sendPreformattedText(), and libebook::XMLStylesheet::XMLStylesheet().

## § m_attrs

T& m_attrs
| private

## § m_chained

const Self_t* const m_chained
| private

## § m_handler

const Func_t m_handler
| private

## § mode

hubbub_quirks_mode mode

Referenced by libebook::LRFParser::readAttribute().

## § nsMap

LWCStringPtr_t nsMap[HUBBUB_NS_XMLNS]

## § parser

HUBBUBParserPtr_t parser

Referenced by libebook::EPUBParser::parse(), libebook::OEBParser::parse(), libebook::HTMLParser::parse(), libebook::RBParser::parse(), libebook::EBOOKOPFParser::parse(), libebook::LRFParser::readMetadata(), and libebook::PMLParser::readText().

## § str

const char* str

Referenced by libebook::readCString(), libebook::readPascalString(), libebook::FB2BookNameContext::text(), libebook::FB2CityContext::text(), libebook::FB2CoverpageContext::text(), libebook::FB2EmailContext::text(), libebook::FB2FirstNameContext::text(), libebook::FB2GenreContext::text(), libebook::FB2HistoryContext::text(), libebook::FB2HomePageContext::text(), libebook::FB2IdContext::text(), libebook::FB2IsbnContext::text(), libebook::FB2LastNameContext::text(), libebook::FB2MiddleNameContext::text(), libebook::FB2NicknameContext::text(), libebook::FB2OutputContext::text(), libebook::FB2OutputDocumentClassContext::text(), libebook::FB2PartContext::text(), libebook::FB2ProgramUsedContext::text(), libebook::FB2SequenceContext::text(), libebook::FB2SrcLangContext::text(), libebook::FB2SrcOcrContext::text(), libebook::FB2SrcTitleInfoContext::text(), libebook::FB2TranslatorContext::text(), and libebook::FB2YearContext::text().

## § xhtmlConfig

XMLTreeNode::ConfigurationPtr_t xhtmlConfig